Subject: Re: [PATCH v3] remote-curl: fall back to Basic auth if Negotiate fails

From: Junio C Hamano <[email-masked]>
Date: Tue, 17 Feb 2015 15:36:54 -0800

"Dan Langille (dalangil)" <[email-masked]> writes:

>> On Jan 20, 2015, at 7:22 PM, Junio C Hamano <[email-masked]> wrote:
>> 
>> "Dan Langille (dalangil)" <[email-masked]> writes:
>> 
>>> I did not test this patch.  Is that holding up a commit?
>> 
>> I am hoping that you rebuilt the Git you use with this patch by the
>> time you wrote the message I am responding to and have been using it
>> for your daily Git needs ;-)
>> 
>> I believe it is queued on the 'next' branch so that others like you
>> who need the change can verify the improvements, and others unlike
>> you who do not need the change can make sure the change does not
>> cause unintended consequences.
>
> Is this the patch in question?
>
>  https://github.com/git/git/commit/4dbe66464b4fd695c5989cc272fa0edd6475037c
>
> I ask because previous versions of the patch acted against http.h as
> well and my failure with it.
>
> Could I expect that patch work against 2.3.0?
>
> It applies cleanly, compiles, but cores when I try a ‘git clone’.
> Unmatched 2.3.0 succeeds.

It already is in 'master', so please holler if things break with
that version.

Thanks.